import { CharacteristicValue, PlatformAccessory, PlatformConfig } from 'homebridge';
import { HomebridgeNeatoPlatform } from '../homebridgeNeatoPlatform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class NeatoVacuumRobotAccessory {
    private readonly platform;
    private readonly accessory;
    private readonly config;
    private log;
    private batteryService;
    private readonly cleanService;
    private readonly findMeService;
    private readonly goToDockService;
    private readonly dockStateService;
    private readonly binFullService;
    private readonly ecoService;
    private readonly noGoLinesService;
    private readonly extraCareService;
    private readonly scheduleService;
    private readonly spotCleanService;
    private robot;
    private readonly options;
    private readonly backgroundUpdateInterval;
    private readonly prefix;
    private readonly availableServices;
    private isSpotCleaning;
    private timer;
    /**
     * These are just used to create a working example
     * You should implement your own code to track the state of your accessory
     */
    constructor(platform: HomebridgeNeatoPlatform, accessory: PlatformAccessory, config: PlatformConfig);
    private getSwitchService;
    private getOccupancyService;
    private static parseBackgroundUpdateInterval;
    getCleanHouse(): Promise<CharacteristicValue>;
    setCleanHouse(on: CharacteristicValue): Promise<void>;
    getSpotClean(): Promise<CharacteristicValue>;
    setSpotClean(on: CharacteristicValue): Promise<void>;
    getGoToDock(): boolean;
    setGoToDock(on: CharacteristicValue): Promise<void>;
    getDocked(): Promise<CharacteristicValue>;
    getBinFull(): Promise<CharacteristicValue>;
    getSchedule(): Promise<CharacteristicValue>;
    setSchedule(on: CharacteristicValue): Promise<void>;
    getEco(): boolean;
    setEco(on: CharacteristicValue): void;
    getExtraCare(): boolean;
    setExtraCare(on: CharacteristicValue): void;
    getNoGoLines(): boolean;
    setNoGoLines(on: CharacteristicValue): void;
    getFindMe(): boolean;
    setFindMe(on: CharacteristicValue): Promise<void>;
    clean(cleanType: CleanType): Promise<void>;
    updateRobot(): Promise<false | undefined>;
    updateRobotPeriodically(): Promise<void>;
    updateCharacteristics(): Promise<void>;
    private debug;
}
declare enum CleanType {
    ALL = 0,
    SPOT = 1
}
export {};
//# sourceMappingURL=NeatoVacuumRobot.d.ts.map